﻿


$ErrorActionPreference = 'Stop';

$softVersion = '5.5.0'
$shortVersion = '5.5.0'

$osBitness = Get-ProcessorBits

$packageName = 'mrViewer'
$softwareName = 'mrViewer*'
$installerType = 'ZIP'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$fileLocation = "${packageName}-v${softVersion}-Windows-${osBitness}.zip"


$validExitCodes = @(0, 3010, 1605, 1614, 1641)
if ($installerType -ne 'MSI') {
  $validExitCodes = @(0)
}


If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

try {
Uninstall-ChocolateyZipPackage -PackageName "$packageName" -ZipFileName "$fileLocation"
}
catch
{
Write-Warning "Uninstall-ChocolateyZipPackage failed.  Bug in chocolatey." 
}

$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "${StartMenu}" "Programs"

$target = "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk"
if ( Test-Path $target )
{
    Remove-Item -Force -Path $target
}

$target = "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk"
if ( Test-Path $target )
{
    Remove-Item -Force -Path $target
}


$target = Join-Path "$programFiles" "${packageName}-v${softVersion}-Windows-${osBitness}/bin"


$PathToRemove = $target
foreach ($path in [Environment]::GetEnvironmentVariable("PATH","Machine").split(';'))
{
  If ($Path)
  {
    If (($path -ine "$PathToRemove") -AND ($path -ine "$PathToRemove\"))
    {
      [string[]]$Newpath += "$path"
    }
  }
}
$AssembledNewPath = ($newpath -join(';')).trimend(';')

[Environment]::SetEnvironmentVariable("PATH",$AssembledNewPath,"Machine")

$target = Join-Path "$programFiles" "${packageName}-v${softVersion}-Windows-${osBitness}"

if ( Test-Path $target )
{
    Remove-Item -Recurse -Force -Path $target
}
